<form [formGroup]="form" (ngSubmit)="login(form.value)">
  <h1>Login</h1>

  <mat-form-field appearance="outline">
    <mat-label>Email</mat-label>
    <input formControlName="email" matInput>
    <mat-error>{{getEmailErrorMessage()}}</mat-error>
  </mat-form-field>

  <mat-form-field appearance="outline">
    <mat-label>Password</mat-label>
    <input type="password" formControlName="password" matInput>
    <mat-error>Password field is required</mat-error>
  </mat-form-field>


  <mat-error class="global-errors">{{error}}</mat-error>

  <div class="button-block">
    <button type="submit" mat-flat-button color="primary" [disabled]="form.invalid">Login</button>
    <button type="button" mat-stroked-button routerLink="/">Return</button>
  </div>

</form>

